## libnewuoa 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.9)
project (newuoa VERSION 0.1.0 DESCRIPTION "libnewuoa")
include(GNUInstallDirs)
add_library(newuoa SHARED src/newuoa.cpp)
set_target_properties(newuoa PROPERTIES
	VERSION ${PROJECT_VERSION}
	SOVERSION 0
	PUBLIC_HEADER include/newuoa.h)
configure_file(newuoa.pc.in newuoa.pc @ONLY)
target_include_directories(newuoa PRIVATE include)
install(TARGETS newuoa
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES ${CMAKE_BINARY_DIR}/newuoa.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
libnewuoa (0.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Maarten L. Hekkelman ]
  * fix for autopkgtest

 -- Andrius Merkys <merkys@debian.org>  Tue, 08 Dec 2020 12:57:46 -0500

libnewuoa (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #976272)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 02 Dec 2020 16:25:54 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAK_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)"

## libnewuoa 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(newuoa VERSION 0.1.2 DESCRIPTION "C++ implementation of NEWUOA algorithm with C interface")

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_library(newuoa
	${PROJECT_SOURCE_DIR}/src/newuoa.cpp
	${PROJECT_SOURCE_DIR}/include/newuoa.h)

add_library(newuoa::newuoa ALIAS newuoa)

set_target_properties(newuoa PROPERTIES POSITION_INDEPENDENT_CODE ON)

target_include_directories(newuoa
	PUBLIC
	"$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
	"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)

# Install rules
install(TARGETS newuoa
	EXPORT newuoaTargets
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

install(EXPORT newuoaTargets
	FILE "newuoaTargets.cmake"
	NAMESPACE newuoa::
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/newuoa
)

install(
	FILES ${PROJECT_SOURCE_DIR}/include/newuoa.h
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
	COMPONENT Devel
)

configure_package_config_file(${PROJECT_SOURCE_DIR}/cmake/Config.cmake.in
	${CMAKE_CURRENT_BINARY_DIR}/newuoa/newuoaConfig.cmake
	INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/newuoa
)

install(FILES
	"${CMAKE_CURRENT_BINARY_DIR}/newuoa/newuoaConfig.cmake"
	"${CMAKE_CURRENT_BINARY_DIR}/newuoa/newuoaConfigVersion.cmake"
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/newuoa
	COMPONENT Devel
)

set(newuoa_MAJOR_VERSION 0)
set_target_properties(newuoa PROPERTIES
	VERSION ${PROJECT_VERSION}
	SOVERSION 0.1
	INTERFACE_newuoa_MAJOR_VERSION 0)

set_property(TARGET newuoa APPEND PROPERTY
	COMPATIBLE_INTERFACE_STRING newuoa_MAJOR_VERSION
)

write_basic_package_version_file(
	"${CMAKE_CURRENT_BINARY_DIR}/newuoa/newuoaConfigVersion.cmake"
	VERSION ${PROJECT_VERSION}
	COMPATIBILITY AnyNewerVersion
)

# pkgconfig support
configure_file(${PROJECT_SOURCE_DIR}/cmake/newuoa.pc.in
	${CMAKE_CURRENT_BINARY_DIR}/newuoa.pc.in @ONLY)
file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/newuoa.pc
	INPUT ${CMAKE_CURRENT_BINARY_DIR}/newuoa.pc.in)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/newuoa.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
libnewuoa (0.1.2-1) unstable; urgency=medium

  * New upstream release, adding cmake config.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 23 Nov 2022 14:17:25 +0100

=== debian/control ===
Source: libnewuoa
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/libnewuoa
Vcs-Git: https://salsa.debian.org/med-team/libnewuoa.git
Homepage: https://github.com/elsid/newuoa-cpp
Rules-Requires-Root: no

Package: libnewuoa-dev
Section: libdevel
Architecture: any
Depends:
 libnewuoa0 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for libnewuoa
 This library contains the C++ implementation of the NEWUOA derivative free
 optimization algorithm originally published by Michael J. D. Powell.
 .
 This specific package contains all files needed to develop new
 software using libnewuoa.

Package: libnewuoa0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library file for libnewuoa
 This library contains the C++ implementation of the NEWUOA derivative free
 optimization algorithm originally published by Michael J. D. Powell.
 .
 This package contains the shared library file only.

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,5 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DCMAK_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)"
+		-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)" \
+		-DBUILD_SHARED_LIBS=ON

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/newuoa-cpp-$1\.tar\.gz/ \
  https://github.com/elsid/newuoa-cpp/tags .*/v?(\d\S+)\.tar\.gz
